gr::radar::estimator_sync_pulse_c Class Referenceabstract

This block can be used to estimate the shift of a signal on input 1 in relation to another on input 2. For example the constant number of delay samples due to hardware effect from a signal source can be estimated. The calculation of the shift is done by a cross correlation of the input signals. The number of correlations in samples is given with num_xcorr. The output message is the number of delay samples with the identifier (symbol) 'sync_pulse'. This can be displayed with the 'Print Results' block. More...

`#include <estimator_sync_pulse_c.h>`

Inheritance diagram for gr::radar::estimator_sync_pulse_c:

## Public Types

typedef std::shared_ptr< estimator_sync_pulse_c > | sptr

## Public Member Functions

virtual void | set_num_xcorr (int num)=0

## Static Public Member Functions

static sptr | make (int num_xcorr, const std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::estimator_sync_pulse_c.

## Detailed Description

This block can be used to estimate the shift of a signal on input 1 in relation to another on input 2. For example the constant number of delay samples due to hardware effect from a signal source can be estimated. The calculation of the shift is done by a cross correlation of the input signals. The number of correlations in samples is given with num_xcorr. The output message is the number of delay samples with the identifier (symbol) 'sync_pulse'. This can be displayed with the 'Print Results' block.

Parameters

  num_xcorr | Number of cross correlations
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<estimator_sync_pulse_c> gr::radar::estimator_sync_pulse_c::sptr

## Member Function Documentation

## make()

sptr gr::radar::estimator_sync_pulse_c::make | ( | int | num_xcorr,
|  | const std::string | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::estimator_sync_pulse_c.

To avoid accidental use of raw pointers, radar::estimator_sync_pulse_c's constructor is in a private implementation class. radar::estimator_sync_pulse_c::make is the public interface for creating new instances.

## set_num_xcorr()

virtual void gr::radar::estimator_sync_pulse_c::set_num_xcorr | ( | int | num | ) |

pure virtual

Implemented in gr::radar::estimator_sync_pulse_c_impl.

The documentation for this class was generated from the following file:

- estimator_sync_pulse_c.h